cURL
curl --request PATCH \
--url https://app-api.aide.app/v1/widgets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowedOrigins": [
"<string>"
],
"scheduleId": "<string>",
"config": {
"workspace": {
"logoUrl": "<string>"
}
},
"behaviour": {}
}
'import requests
url = "https://app-api.aide.app/v1/widgets/{id}"
payload = {
"allowedOrigins": ["<string>"],
"scheduleId": "<string>",
"config": { "workspace": { "logoUrl": "<string>" } },
"behaviour": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowedOrigins: ['<string>'],
scheduleId: '<string>',
config: {workspace: {logoUrl: '<string>'}},
behaviour: {}
})
};
fetch('https://app-api.aide.app/v1/widgets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/widgets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'allowedOrigins' => [
'<string>'
],
'scheduleId' => '<string>',
'config' => [
'workspace' => [
'logoUrl' => '<string>'
]
],
'behaviour' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/widgets/{id}"
payload := strings.NewReader("{\n \"allowedOrigins\": [\n \"<string>\"\n ],\n \"scheduleId\": \"<string>\",\n \"config\": {\n \"workspace\": {\n \"logoUrl\": \"<string>\"\n }\n },\n \"behaviour\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app-api.aide.app/v1/widgets/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allowedOrigins\": [\n \"<string>\"\n ],\n \"scheduleId\": \"<string>\",\n \"config\": {\n \"workspace\": {\n \"logoUrl\": \"<string>\"\n }\n },\n \"behaviour\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/widgets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allowedOrigins\": [\n \"<string>\"\n ],\n \"scheduleId\": \"<string>\",\n \"config\": {\n \"workspace\": {\n \"logoUrl\": \"<string>\"\n }\n },\n \"behaviour\": {}\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "widget",
"key": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"scheduleId": "<string>",
"agentId": "<string>",
"allowAnyOrigin": true,
"allowedOrigins": [
"<string>"
],
"behaviour": {
"offlineMode": "collect_email_and_pause",
"emailCapture": "before_start",
"transcriptsByEmail": true
},
"blockedOrigins": [
{
"lastSeenAt": "<string>",
"origin": "<string>"
}
],
"config": {},
"isEnabled": true,
"inbox": {
"id": "<string>"
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Widgets
Patch v1widgets
PATCH
/
v1
/
widgets
/
{id}
cURL
curl --request PATCH \
--url https://app-api.aide.app/v1/widgets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowedOrigins": [
"<string>"
],
"scheduleId": "<string>",
"config": {
"workspace": {
"logoUrl": "<string>"
}
},
"behaviour": {}
}
'import requests
url = "https://app-api.aide.app/v1/widgets/{id}"
payload = {
"allowedOrigins": ["<string>"],
"scheduleId": "<string>",
"config": { "workspace": { "logoUrl": "<string>" } },
"behaviour": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowedOrigins: ['<string>'],
scheduleId: '<string>',
config: {workspace: {logoUrl: '<string>'}},
behaviour: {}
})
};
fetch('https://app-api.aide.app/v1/widgets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/widgets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'allowedOrigins' => [
'<string>'
],
'scheduleId' => '<string>',
'config' => [
'workspace' => [
'logoUrl' => '<string>'
]
],
'behaviour' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/widgets/{id}"
payload := strings.NewReader("{\n \"allowedOrigins\": [\n \"<string>\"\n ],\n \"scheduleId\": \"<string>\",\n \"config\": {\n \"workspace\": {\n \"logoUrl\": \"<string>\"\n }\n },\n \"behaviour\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app-api.aide.app/v1/widgets/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allowedOrigins\": [\n \"<string>\"\n ],\n \"scheduleId\": \"<string>\",\n \"config\": {\n \"workspace\": {\n \"logoUrl\": \"<string>\"\n }\n },\n \"behaviour\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/widgets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allowedOrigins\": [\n \"<string>\"\n ],\n \"scheduleId\": \"<string>\",\n \"config\": {\n \"workspace\": {\n \"logoUrl\": \"<string>\"\n }\n },\n \"behaviour\": {}\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "widget",
"key": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"scheduleId": "<string>",
"agentId": "<string>",
"allowAnyOrigin": true,
"allowedOrigins": [
"<string>"
],
"behaviour": {
"offlineMode": "collect_email_and_pause",
"emailCapture": "before_start",
"transcriptsByEmail": true
},
"blockedOrigins": [
{
"lastSeenAt": "<string>",
"origin": "<string>"
}
],
"config": {},
"isEnabled": true,
"inbox": {
"id": "<string>"
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Path Parameters
Body
application/json
Available options:
1, 1, true, true, on, 0, 0, false, false Maximum array length:
50Maximum string length:
255Pattern:
^https?:\/\/[^\s/?#@]+\/?$Available options:
1, 1, true, true, on, 0, 0, false, false Required string length:
1 - 64Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes